think-helper@1.0.20 vulnerabilities

Helper for ThinkJS

Direct Vulnerabilities

Known vulnerabilities in the think-helper package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • H
Prototype Pollution

think-helper is a Helper for ThinkJS

Affected versions of this package are vulnerable to Prototype Pollution. The software receives input from an upstream component that specifies attributes that are to be initialized or updated in an object, but it does not properly control modifications of attributes of the object prototype.

How to fix Prototype Pollution?

Upgrade think-helper to version 1.1.3 or higher.

<1.1.3